Package org.apache.calcite.avatica.proto

## Enum Common.Rep

- java.lang.Object
- - java.lang.Enum<Common.Rep>
  - - org.apache.calcite.avatica.proto.Common.Rep

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `java.io.Serializable`, `java.lang.Comparable<Common.Rep>`

Enclosing class:
  Common

    public static enum Common.Rep
    extends java.lang.Enum<Common.Rep>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `Rep`

### Enum Constant Summary

Enum Constants
`ARRAY` `ARRAY = 27;`
`BIG_DECIMAL` `BIG_DECIMAL = 26;`
`BIG_INTEGER` `BIG_INTEGER = 25;`
`BOOLEAN` `BOOLEAN = 8;`
`BYTE` `BYTE = 9;`
`BYTE_STRING` `BYTE_STRING = 20;`
`CHARACTER` `CHARACTER = 10;`
`DOUBLE` `DOUBLE = 15;`
`FLOAT` `FLOAT = 14;`
`INTEGER` `INTEGER = 12;`
`JAVA_SQL_DATE` `JAVA_SQL_DATE = 18;`
`JAVA_SQL_TIME` `JAVA_SQL_TIME = 16;`
`JAVA_SQL_TIMESTAMP` `JAVA_SQL_TIMESTAMP = 17;`
`JAVA_UTIL_DATE` `JAVA_UTIL_DATE = 19;`
`LONG` `LONG = 13;`
`MULTISET` `MULTISET = 29;`
`NULL` `NULL = 24;`
`NUMBER` `NUMBER = 22;`
`OBJECT` `OBJECT = 23;`
`PRIMITIVE_BOOLEAN` `PRIMITIVE_BOOLEAN = 0;`
`PRIMITIVE_BYTE` `PRIMITIVE_BYTE = 1;`
`PRIMITIVE_CHAR` `PRIMITIVE_CHAR = 2;`
`PRIMITIVE_DOUBLE` `PRIMITIVE_DOUBLE = 7;`
`PRIMITIVE_FLOAT` `PRIMITIVE_FLOAT = 6;`
`PRIMITIVE_INT` `PRIMITIVE_INT = 4;`
`PRIMITIVE_LONG` `PRIMITIVE_LONG = 5;`
`PRIMITIVE_SHORT` `PRIMITIVE_SHORT = 3;`
`SHORT` `SHORT = 11;`
`STRING` `STRING = 21;`
`STRUCT` `STRUCT = 28;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `ARRAY_VALUE` `ARRAY = 27;`
`static int` `BIG_DECIMAL_VALUE` `BIG_DECIMAL = 26;`
`static int` `BIG_INTEGER_VALUE` `BIG_INTEGER = 25;`
`static int` `BOOLEAN_VALUE` `BOOLEAN = 8;`
`static int` `BYTE_STRING_VALUE` `BYTE_STRING = 20;`
`static int` `BYTE_VALUE` `BYTE = 9;`
`static int` `CHARACTER_VALUE` `CHARACTER = 10;`
`static int` `DOUBLE_VALUE` `DOUBLE = 15;`
`static int` `FLOAT_VALUE` `FLOAT = 14;`
`static int` `INTEGER_VALUE` `INTEGER = 12;`
`private static com.google.protobuf.Internal.EnumLiteMap<Common.Rep>` `internalValueMap`
`static int` `JAVA_SQL_DATE_VALUE` `JAVA_SQL_DATE = 18;`
`static int` `JAVA_SQL_TIME_VALUE` `JAVA_SQL_TIME = 16;`
`static int` `JAVA_SQL_TIMESTAMP_VALUE` `JAVA_SQL_TIMESTAMP = 17;`
`static int` `JAVA_UTIL_DATE_VALUE` `JAVA_UTIL_DATE = 19;`
`static int` `LONG_VALUE` `LONG = 13;`
`static int` `MULTISET_VALUE` `MULTISET = 29;`
`static int` `NULL_VALUE` `NULL = 24;`
`static int` `NUMBER_VALUE` `NUMBER = 22;`
`static int` `OBJECT_VALUE` `OBJECT = 23;`
`static int` `PRIMITIVE_BOOLEAN_VALUE` `PRIMITIVE_BOOLEAN = 0;`
`static int` `PRIMITIVE_BYTE_VALUE` `PRIMITIVE_BYTE = 1;`
`static int` `PRIMITIVE_CHAR_VALUE` `PRIMITIVE_CHAR = 2;`
`static int` `PRIMITIVE_DOUBLE_VALUE` `PRIMITIVE_DOUBLE = 7;`
`static int` `PRIMITIVE_FLOAT_VALUE` `PRIMITIVE_FLOAT = 6;`
`static int` `PRIMITIVE_INT_VALUE` `PRIMITIVE_INT = 4;`
`static int` `PRIMITIVE_LONG_VALUE` `PRIMITIVE_LONG = 5;`
`static int` `PRIMITIVE_SHORT_VALUE` `PRIMITIVE_SHORT = 3;`
`static int` `SHORT_VALUE` `SHORT = 11;`
`static int` `STRING_VALUE` `STRING = 21;`
`static int` `STRUCT_VALUE` `STRUCT = 28;`
`private int` `value`
`private static Common.Rep[]` `VALUES`

### Constructor Summary

Constructors
`private` `Rep​(int value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static Common.Rep` `forNumber​(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<Common.Rep>` `internalGetValueMap()`
`static Common.Rep` `valueOf​(int value)` Deprecated.
`static Common.Rep` `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` Returns the enum constant of this type with the specified name.
`static Common.Rep` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Common.Rep[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PRIMITIVE_BOOLEAN

    public static final Common.Rep PRIMITIVE_BOOLEAN

`PRIMITIVE_BOOLEAN = 0;`

#### PRIMITIVE_BYTE

    public static final Common.Rep PRIMITIVE_BYTE

`PRIMITIVE_BYTE = 1;`

#### PRIMITIVE_CHAR

    public static final Common.Rep PRIMITIVE_CHAR

`PRIMITIVE_CHAR = 2;`

#### PRIMITIVE_SHORT

    public static final Common.Rep PRIMITIVE_SHORT

`PRIMITIVE_SHORT = 3;`

#### PRIMITIVE_INT

    public static final Common.Rep PRIMITIVE_INT

`PRIMITIVE_INT = 4;`

#### PRIMITIVE_LONG

    public static final Common.Rep PRIMITIVE_LONG

`PRIMITIVE_LONG = 5;`

#### PRIMITIVE_FLOAT

    public static final Common.Rep PRIMITIVE_FLOAT

`PRIMITIVE_FLOAT = 6;`

#### PRIMITIVE_DOUBLE

    public static final Common.Rep PRIMITIVE_DOUBLE

`PRIMITIVE_DOUBLE = 7;`

#### BOOLEAN

    public static final Common.Rep BOOLEAN

`BOOLEAN = 8;`

#### BYTE

    public static final Common.Rep BYTE

`BYTE = 9;`

#### CHARACTER

    public static final Common.Rep CHARACTER

`CHARACTER = 10;`

#### SHORT

    public static final Common.Rep SHORT

`SHORT = 11;`

#### INTEGER

    public static final Common.Rep INTEGER

`INTEGER = 12;`

#### LONG

    public static final Common.Rep LONG

`LONG = 13;`

#### FLOAT

    public static final Common.Rep FLOAT

`FLOAT = 14;`

#### DOUBLE

    public static final Common.Rep DOUBLE

`DOUBLE = 15;`

#### BIG_INTEGER

    public static final Common.Rep BIG_INTEGER

`BIG_INTEGER = 25;`

#### BIG_DECIMAL

    public static final Common.Rep BIG_DECIMAL

`BIG_DECIMAL = 26;`

#### JAVA_SQL_TIME

    public static final Common.Rep JAVA_SQL_TIME

`JAVA_SQL_TIME = 16;`

#### JAVA_SQL_TIMESTAMP

    public static final Common.Rep JAVA_SQL_TIMESTAMP

`JAVA_SQL_TIMESTAMP = 17;`

#### JAVA_SQL_DATE

    public static final Common.Rep JAVA_SQL_DATE

`JAVA_SQL_DATE = 18;`

#### JAVA_UTIL_DATE

    public static final Common.Rep JAVA_UTIL_DATE

`JAVA_UTIL_DATE = 19;`

#### BYTE_STRING

    public static final Common.Rep BYTE_STRING

`BYTE_STRING = 20;`

#### STRING

    public static final Common.Rep STRING

`STRING = 21;`

#### NUMBER

    public static final Common.Rep NUMBER

`NUMBER = 22;`

#### OBJECT

    public static final Common.Rep OBJECT

`OBJECT = 23;`

#### NULL

    public static final Common.Rep NULL

`NULL = 24;`

#### ARRAY

    public static final Common.Rep ARRAY

`ARRAY = 27;`

#### STRUCT

    public static final Common.Rep STRUCT

`STRUCT = 28;`

#### MULTISET

    public static final Common.Rep MULTISET

`MULTISET = 29;`

#### UNRECOGNIZED

    public static final Common.Rep UNRECOGNIZED

### Field Detail

#### PRIMITIVE_BOOLEAN_VALUE

    public static final int PRIMITIVE_BOOLEAN_VALUE

`PRIMITIVE_BOOLEAN = 0;`

See Also:
  Constant Field Values

#### PRIMITIVE_BYTE_VALUE

    public static final int PRIMITIVE_BYTE_VALUE

`PRIMITIVE_BYTE = 1;`

See Also:
  Constant Field Values

#### PRIMITIVE_CHAR_VALUE

    public static final int PRIMITIVE_CHAR_VALUE

`PRIMITIVE_CHAR = 2;`

See Also:
  Constant Field Values

#### PRIMITIVE_SHORT_VALUE

    public static final int PRIMITIVE_SHORT_VALUE

`PRIMITIVE_SHORT = 3;`

See Also:
  Constant Field Values

#### PRIMITIVE_INT_VALUE

    public static final int PRIMITIVE_INT_VALUE

`PRIMITIVE_INT = 4;`

See Also:
  Constant Field Values

#### PRIMITIVE_LONG_VALUE

    public static final int PRIMITIVE_LONG_VALUE

`PRIMITIVE_LONG = 5;`

See Also:
  Constant Field Values

#### PRIMITIVE_FLOAT_VALUE

    public static final int PRIMITIVE_FLOAT_VALUE

`PRIMITIVE_FLOAT = 6;`

See Also:
  Constant Field Values

#### PRIMITIVE_DOUBLE_VALUE

    public static final int PRIMITIVE_DOUBLE_VALUE

`PRIMITIVE_DOUBLE = 7;`

See Also:
  Constant Field Values

#### BOOLEAN_VALUE

    public static final int BOOLEAN_VALUE

`BOOLEAN = 8;`

See Also:
  Constant Field Values

#### BYTE_VALUE

    public static final int BYTE_VALUE

`BYTE = 9;`

See Also:
  Constant Field Values

#### CHARACTER_VALUE

    public static final int CHARACTER_VALUE

`CHARACTER = 10;`

See Also:
  Constant Field Values

#### SHORT_VALUE

    public static final int SHORT_VALUE

`SHORT = 11;`

See Also:
  Constant Field Values

#### INTEGER_VALUE

    public static final int INTEGER_VALUE

`INTEGER = 12;`

See Also:
  Constant Field Values

#### LONG_VALUE

    public static final int LONG_VALUE

`LONG = 13;`

See Also:
  Constant Field Values

#### FLOAT_VALUE

    public static final int FLOAT_VALUE

`FLOAT = 14;`

See Also:
  Constant Field Values

#### DOUBLE_VALUE

    public static final int DOUBLE_VALUE

`DOUBLE = 15;`

See Also:
  Constant Field Values

#### BIG_INTEGER_VALUE

    public static final int BIG_INTEGER_VALUE

`BIG_INTEGER = 25;`

See Also:
  Constant Field Values

#### BIG_DECIMAL_VALUE

    public static final int BIG_DECIMAL_VALUE

`BIG_DECIMAL = 26;`

See Also:
  Constant Field Values

#### JAVA_SQL_TIME_VALUE

    public static final int JAVA_SQL_TIME_VALUE

`JAVA_SQL_TIME = 16;`

See Also:
  Constant Field Values

#### JAVA_SQL_TIMESTAMP_VALUE

    public static final int JAVA_SQL_TIMESTAMP_VALUE

`JAVA_SQL_TIMESTAMP = 17;`

See Also:
  Constant Field Values

#### JAVA_SQL_DATE_VALUE

    public static final int JAVA_SQL_DATE_VALUE

`JAVA_SQL_DATE = 18;`

See Also:
  Constant Field Values

#### JAVA_UTIL_DATE_VALUE

    public static final int JAVA_UTIL_DATE_VALUE

`JAVA_UTIL_DATE = 19;`

See Also:
  Constant Field Values

#### BYTE_STRING_VALUE

    public static final int BYTE_STRING_VALUE

`BYTE_STRING = 20;`

See Also:
  Constant Field Values

#### STRING_VALUE

    public static final int STRING_VALUE

`STRING = 21;`

See Also:
  Constant Field Values

#### NUMBER_VALUE

    public static final int NUMBER_VALUE

`NUMBER = 22;`

See Also:
  Constant Field Values

#### OBJECT_VALUE

    public static final int OBJECT_VALUE

`OBJECT = 23;`

See Also:
  Constant Field Values

#### NULL_VALUE

    public static final int NULL_VALUE

`NULL = 24;`

See Also:
  Constant Field Values

#### ARRAY_VALUE

    public static final int ARRAY_VALUE

`ARRAY = 27;`

See Also:
  Constant Field Values

#### STRUCT_VALUE

    public static final int STRUCT_VALUE

`STRUCT = 28;`

See Also:
  Constant Field Values

#### MULTISET_VALUE

    public static final int MULTISET_VALUE

`MULTISET = 29;`

See Also:
  Constant Field Values

#### internalValueMap

    private static final com.google.protobuf.Internal.EnumLiteMap<Common.Rep> internalValueMap

#### VALUES

    private static final Common.Rep[] VALUES

#### value

    private final int value

### Constructor Detail

#### Rep

    private Rep​(int value)

### Method Detail

#### values

    public static Common.Rep[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Common.Rep c : Common.Rep.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Common.Rep valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static Common.Rep valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### forNumber

    public static Common.Rep forNumber​(int value)

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<Common.Rep> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static Common.Rep valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null